<div class="min-w-full p-2">
    <form class="flex flex-col w-full">
        <div class="pb-1">
            <div class="text-3xl font-cairo font-bold mb-6">
                Add New Attachment
            </div>
        </div>
        <mat-dialog-content class="min-w-full relative mb-4">

            <div class="w-full">
                <div class="flex flex-col"><!-- added new -->
                    <div class="flex w-full">
                        <mat-form-field class="w-1/3 pr-2">
                            <mat-label>Title</mat-label>
                            <input matInput />
                            <!-- <mat-error>
                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                            </mat-error> -->
                        </mat-form-field>
                        <mat-form-field class="w-1/3 px-2">
                            <mat-label>File Name</mat-label>
                            <input matInput/>
                            <!-- <span
                                *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                enter Team Desc</span> -->
                        </mat-form-field>
                        <div class="flex align-center w-1/3 pl-2">
                            <mat-form-field>
                                <mat-label>Attachment</mat-label>
                                <input matInput value="Design specifications.docs"/>
                                <mat-icon matSuffix class="icon-size-5 text-secondary" [svgIcon]="'heroicons_outline:paper-clip'"></mat-icon>

                                <!-- <span
                                    *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                    enter Team Desc</span> -->
                            </mat-form-field>
                            <button mat-icon-button class="mt-7">
                                <mat-icon color="primary" class="icon-size-5" [svgIcon]="'heroicons_outline:upload'"></mat-icon>
                            </button>
                        </div>

                    </div>
                    <div class="flex w-full">
                        <mat-form-field class="w-1/3 pr-2">
                            <mat-label>Document Class</mat-label>
                            <input matInput />
                            <!-- <mat-error>
                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                            </mat-error> -->
                        </mat-form-field>
                        <mat-form-field class="w-1/3 px-2">
                            <mat-label>PR Reference No</mat-label>
                            <input matInput/>
                            <!-- <span
                                *ngIf="!teamList.get('teamDescription').valid && teamList.get('teamDescription').touched">Please
                                enter Team Desc</span> -->
                        </mat-form-field>
                        <mat-form-field class="w-1/3 pl-2">
                            <mat-label>Type</mat-label>
                            <mat-select [value]="1"  formControlName="categoryId">
                                <mat-option [value]="1">Technical</mat-option>
                                <mat-option [value]="2">Commercial</mat-option>
                            </mat-select>
                            <!-- <mat-error>
                                <span *ngIf="!teamList.get('teamName').valid && teamList.get('teamName').touched">Please enter Team Name</span>
                            </mat-error> -->
                        </mat-form-field>

                    </div>
                    <div>
                        <mat-checkbox [color]="'primary'">Visibility To Suppliers</mat-checkbox>
                    </div>


                </div>

            </div>

            <div class="flex flex-col justify-start mt-5">
                <div class="flex align-center text-warn font-medium mb-2" *ngIf="iserror">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-warn"></mat-icon>
                    <span>{{'Successfully saved'}}</span>
                </div>
                <div class="flex align-center text-green font-medium mb-2" *ngIf="issuccess">
                    <mat-icon [svgIcon]="'heroicons_outline:check-circle'" class="mr-2 text-green"></mat-icon>
                    <span>{{'Something went wrong'}}</span>
                </div>
            </div>
        </mat-dialog-content>
        <mat-dialog-actions class="flex justify-end sticky bottom-0">
            <button mat-button mat-dialog-close [color]="'primary'" (click)="doAction()" type="button">
                <span class="mx-4">Cancel</span>
            </button>
            <button class="sm:inline-flex ml-4" mat-raised-button [color]="'primary'" type="submit">
                <span class="mx-4">Add</span>
            </button>
        </mat-dialog-actions>
    </form>

</div>
